apiVersion: apps/v1
kind: Deployment
metadata:
  name: racc-console
spec:
  replicas: 1
  selector:
    matchLabels:
      app: racc-console
  template:
    metadata:
      labels:
        app: racc-console
      annotations: { prometheus.io/port: "8000" }
    spec:
      containers:
        - name: py
          image: bang5:5000/racc_console_image
          command:
            - pdm
            - run
            - python
            - console.py
          ports:
            - containerPort: 8000

---
apiVersion: v1
kind: Service
metadata:
  name: racc-console
spec:
  ports:
    - {port: 80, targetPort: 8000, name: py}
  selector:
    app: racc-console
